Package io.dapr.v1

# Interface DaprProtos.DeleteStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.DeleteStateRequest`, `DaprProtos.DeleteStateRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.DeleteStateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getEtag()` | The entity tag which represents the specific version of data.
  `com.google.protobuf.ByteString` | `getEtagBytes()` | The entity tag which represents the specific version of data.
  `java.lang.String` | `getKey()` | The key of the desired state
  `com.google.protobuf.ByteString` | `getKeyBytes()` | The key of the desired state
  `CommonProtos.StateOptions` | `getOptions()` | State operation options which includes concurrency/ consistency/retry_policy.
  `CommonProtos.StateOptionsOrBuilder` | `getOptionsOrBuilder()` | State operation options which includes concurrency/ consistency/retry_policy.
  `java.lang.String` | `getStoreName()` | The name of state store.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | The name of state store.
  `boolean` | `hasOptions()` | State operation options which includes concurrency/ consistency/retry_policy.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getStoreName

    java.lang.String getStoreName()

         The name of state store.

    `string store_name = 1;`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

         The name of state store.

    `string store_name = 1;`
    Returns:
      The bytes for storeName.

  - ### getKey

    java.lang.String getKey()

         The key of the desired state

    `string key = 2;`
    Returns:
      The key.

  - ### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()

         The key of the desired state

    `string key = 2;`
    Returns:
      The bytes for key.

  - ### getEtag

    java.lang.String getEtag()

         The entity tag which represents the specific version of data.
         The exact ETag format is defined by the corresponding data store.

    `string etag = 3;`
    Returns:
      The etag.

  - ### getEtagBytes

    com.google.protobuf.ByteString getEtagBytes()

         The entity tag which represents the specific version of data.
         The exact ETag format is defined by the corresponding data store.

    `string etag = 3;`
    Returns:
      The bytes for etag.

  - ### hasOptions

    boolean hasOptions()

         State operation options which includes concurrency/
         consistency/retry_policy.

    `.dapr.proto.common.v1.StateOptions options = 4;`
    Returns:
      Whether the options field is set.

  - ### getOptions

    CommonProtos.StateOptions getOptions()

         State operation options which includes concurrency/
         consistency/retry_policy.

    `.dapr.proto.common.v1.StateOptions options = 4;`
    Returns:
      The options.

  - ### getOptionsOrBuilder

    CommonProtos.StateOptionsOrBuilder getOptionsOrBuilder()

         State operation options which includes concurrency/
         consistency/retry_policy.

    `.dapr.proto.common.v1.StateOptions options = 4;`